org.eclipse.emf.cdo.common.branch

## Interface CDOBranchPointRange

- All Known Subinterfaces:
    CDOChangeSet

      public interface CDOBranchPointRange

  A range between the `base` of the `main branch` and the `head` of any branch that is demarcated by a `start point` and an `end point`.

  The start point and the end point of a branch point range may have different branches or not.

  Branch point ranges are usually created with `CDOBranchUtil.createRange()` and often used in the context of `change sets`.

  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOBranchPoint` | `getEndPoint()` Returns the end point of this branch point range, never `null`.
    `CDOBranchPoint` | `getStartPoint()` Returns the start point of this branch point range, never `null`.

- - ### Method Detail

    - #### getStartPoint

          CDOBranchPoint getStartPoint()

      Returns the start point of this branch point range, never `null`.

    - #### getEndPoint

          CDOBranchPoint getEndPoint()

      Returns the end point of this branch point range, never `null`.

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html